body {
    background-image: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
    min-height: 100vh;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: monospace;
    /*Disable text selection*/
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.title {
    position: absolute;
    width: 100%;
    top: 10%;
    text-align: center;
    color: white;
    font-size: 6vw; /* Adjust font size based on viewport width */
}

.subtitle {
    position: absolute;
    width: 100%;
    top: 16%;
    text-align: center;
    color: white;
    font-size: 3.5vw; /* Adjust font size based on viewport width */
}


.slider {
    position: relative;
    width: 100%;
    height: 370px;
    overflow: hidden;
    top: 40px;
}

.item {
    position: absolute;
    width: 200px;
    height: 320px;
    text-align: justify;
    background-color: #fff;
    border-radius: 10px;
    padding: 20px;
    transition: transform 0.5s;
    left: calc(50% - 110px);
    top: 0;
    /*transform-style: preserve-3d; Ensure 3D transformations */
    perspective: 1000px; /* Perspective for 3D effect */
}
 

#next, #prev {
    position: absolute;
    top: 40%;
    color: #fff;
    background-color: transparent;
    border: none;
    font-size: monospace;
    font-weight: bold;
    left: 50px;
}

#next {
    left: unset;
    right: 50px;
}

.item .front, .item .back {
    display: block;
    position: absolute; /* Position spans absolutely within the item */
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    transition: transform 0.5s ease;
    box-sizing: border-box;
    padding: 20px;
    top: 0;
    left: 0;
}

.item .front {
    z-index: 2;
    transform: rotateY(0deg);
}

.item .back {
    transform: rotateY(180deg);
    z-index: -1;
}

.item.flipped .front {
    transform: rotateY(-180deg);
}

.item.flipped .back {
    transform: rotateY(0deg);
}


@media screen and (max-height: 800px){
    .title {
        font-size: 3vw; /* Adjust font size based on viewport width */
        top: 5%;
    }
    
    .subtitle {
        top: 10%;
        padding-top: 10px;
        font-size: 2vw; /* Adjust font size based on viewport width */
    }
    
}